package nsdb;
public class NucSeqListHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_alias_tc( id(),"NucSeqList",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().create_interface_tc( "IDL:nsdb/NucSeq:1.0", "NucSeq")));
	public NucSeqListHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, nsdb.NucSeq[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static nsdb.NucSeq[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:nsdb/NucSeqList:1.0";
	}
	public static nsdb.NucSeq[] read(org.omg.CORBA.portable.InputStream _in)
	{
		nsdb.NucSeq[] _result;
		int _l_result = _in.read_long();
		_result = new nsdb.NucSeq[_l_result];
		for(int i=0;i<_l_result;i++)
		{
			_result[i]=nsdb.NucSeqHelper.read(_in);
		}

		return _result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, nsdb.NucSeq[] _s)
	{
		
		_out.write_long(_s.length);
		for( int i=0; i<_s.length;i++)
		{
			nsdb.NucSeqHelper.write(_out,_s[i]);
		}

	}
}
